Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ImageAsset::FrameArea::PixelArea Class Reference

Frame Pixel Area. More...

`#include <ImageAsset.h>`

## Public Member Functions
| PixelArea ()
| PixelArea (const S32 pixelFrameOffsetX, const S32 pixelFrameOffsetY, const U32 pixelFrameWidth, const U32 pixelFrameHeight)
| PixelArea (const S32 pixelFrameOffsetX, const S32 pixelFrameOffsetY, const U32 pixelFrameWidth, const U32 pixelFrameHeight, const char *regionName)
void | setArea (const S32 pixelFrameOffsetX, const S32 pixelFrameOffsetY, const U32 pixelFrameWidth, const U32 pixelFrameHeight)
void | setArea (const S32 pixelFrameOffsetX, const S32 pixelFrameOffsetY, const U32 pixelFrameWidth, const U32 pixelFrameHeight, const char *regionName)

## Public Attributes
Point2I | mPixelOffset
U32 | mPixelWidth
U32 | mPixelHeight
StringTableEntry | mRegionName

## Detailed Description

Frame Pixel Area.

## Constructor & Destructor Documentation

PixelArea | ( |  | ) |
| inline

PixelArea | ( | const S32 | pixelFrameOffsetX,
|  | const S32 | pixelFrameOffsetY,
|  | const U32 | pixelFrameWidth,
|  | const U32 | pixelFrameHeight
| ) |  |
| inline

PixelArea | ( | const S32 | pixelFrameOffsetX,
|  | const S32 | pixelFrameOffsetY,
|  | const U32 | pixelFrameWidth,
|  | const U32 | pixelFrameHeight,
|  | const char * | regionName
| ) |  |
| inline

## Member Function Documentation

void setArea | ( | const S32 | pixelFrameOffsetX,
|  | const S32 | pixelFrameOffsetY,
|  | const U32 | pixelFrameWidth,
|  | const U32 | pixelFrameHeight
| ) |  |
| inline

void setArea | ( | const S32 | pixelFrameOffsetX,
|  | const S32 | pixelFrameOffsetY,
|  | const U32 | pixelFrameWidth,
|  | const U32 | pixelFrameHeight,
|  | const char * | regionName
| ) |  |
| inline

## Member Data Documentation

U32 mPixelHeight

Point2I mPixelOffset

U32 mPixelWidth

StringTableEntry mRegionName

The documentation for this class was generated from the following file:

- 2d/assets/ImageAsset.h